Bug 1284878 - SAP HANA wrong results from MOD with float argument
SAP HANA wrong results from MOD with float argument
Status: ON_QA
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid, Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.4.0
Assigned To: David Le Sage
Jan Stastny
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 06:30 EST by Jan Stastny
Modified: 2017-11-22 22:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If you are using the SAP HANA translator and you try to use the mod function in your query with float arguments and the float value is less than zero, an incorrect result will be returned. This is due to a bug in SAP HANA.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBDVPL-537 Major New Certify SAP HANA integration with Post 10 version 2017-11-26 17:26 EST
JBoss Issue Tracker TEIID-3843 Major Resolved SAP HANA wrong results from MOD with float argument 2017-11-26 17:26 EST

  None (edit)
Description Jan Stastny 2015-11-24 06:30:30 EST
Description of problem:
SAP HANA doesn't handle correctly calls to MOD function with float argument.

More information in linked JIRA.

The main problem is SAP HANA's issue. Haven't found any issue tracker to report the problem directly to SAP.
Comment 12 David Le Sage 2017-11-22 22:56:27 EST
Added to release note errata as a known issue.

Note You need to log in before you can comment on or make changes to this bug.